CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

次要半径属性 (ActiveX)

2023-1-3 10:53| 发布者: admin| 查看: 450| 评论: 0|来自: AutoCAD

摘要: 指定椭圆短轴的长度。

指定椭圆短轴的长度。

支持的平台:仅窗口

签名

工 务 局:

object.MinorRadius
对象

类型:椭圆形

此属性适用的对象。

属性值

只读:

类型:

椭圆的短轴长度。

言论

椭圆的较长轴称为长轴;较短的是短轴。



例子

工 务 局:

Sub Example_MinorRadius()
    ' This example creates an Ellipse in model space and displays
    ' both the Major radius and the Minor radius of the new Ellipse
  
    Dim ellObj As AcadEllipse
    Dim majAxis(0 To 2) As Double, center(0 To 2) As Double
    Dim radRatio As Double
    
    ' Create an ellipse in model space
    center(0) = 5: center(1) = 5: center(2) = 0
    majAxis(0) = 10: majAxis(1) = 20: majAxis(2) = 0
    radRatio = 0.3
    Set ellObj = ThisDrawing.ModelSpace.AddEllipse(center, majAxis, radRatio)

    ThisDrawing.Application.ZoomAll
    
    ' Display radius information
    MsgBox "The major radius of the new Ellipse is: " & ellObj.majorRadius & vbCrLf & _
           "The minor radius of the new Ellipse is: " & ellObj.minorRadius
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_MinorRadius()
    ;; This example creates an Ellipse in model space and displays
    ;; both the Major radius and the Minor radius of the new Ellipse
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; Create an ellipse in model space
    (setq center (vlax-3d-point 5 5 0)
          majAxis (vlax-3d-point 10 20 0)
          radRatio 0.3)
  
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq ellObj (vla-AddEllipse modelSpace center majAxis radRatio))
  
    (vla-ZoomAll acadObj)
    
    ;; Display radius information
    (alert (strcat "The major radius of the new Ellipse is: " (rtos (vla-get-majorRadius ellObj) 2)
                   "\nThe minor radius of the new Ellipse is: " (rtos (vla-get-minorRadius ellObj) 2)))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 07:15

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部